ALAS2-2019-1230


Amazon Linux 2 Security Advisory: ALAS-2019-1230
Advisory Release Date: 2019-06-25 21:04 Pacific
Advisory Updated Date: 2019-07-01 21:56 Pacific
Severity: Important

Issue Overview:

A null pointer dereference vulnerability was found in the certificate parsing code in Python. This causes a denial of service to applications when parsing specially crafted certificates. This vulnerability is unlikely to be triggered if application enables SSL/TLS certificate validation and accepts certificates only from trusted root certificate authorities. (CVE-2019-5010 )

Python 2.7.16 is affected by: Improper Handling of Unicode Encoding (with an incorrect netloc) during NFKC normalization. The impact is: Information disclosure (credentials, cookies, etc. that are cached against a given hostname). The components are: urllib.parse.urlsplit, urllib.parse.urlparse. The attack vector is: A specially crafted URL could be incorrectly parsed to locate cookies or authentication data and send that information to a different host than when parsed correctly. (CVE-2019-9636 )

A flaw was found in the way catastrophic backtracking was implemented in python's pop3lib's apop() method. An attacker could use this flaw to cause denial of service. (CVE-2018-1060 )

Modules/_pickle.c in Python 2.7.16 has an integer overflow via a large LONG_BINPUT value that is mishandled during a "resize to twice the size" attempt. This issue might cause memory exhaustion, but is only relevant if the pickle format is used for serializing tens or hundreds of gigabytes of data. (CVE-2018-20406 )

A flaw was found in the way catastrophic backtracking was implemented in python's difflib.IS_LINE_JUNK method. An attacker could use this flaw to cause denial of service. (CVE-2018-1061 )


Affected Packages:

python


Issue Correction:
Run yum update python to update your system.

New Packages:
aarch64:
    python-2.7.16-1.amzn2.0.1.aarch64
    python-libs-2.7.16-1.amzn2.0.1.aarch64
    python-devel-2.7.16-1.amzn2.0.1.aarch64
    python-tools-2.7.16-1.amzn2.0.1.aarch64
    tkinter-2.7.16-1.amzn2.0.1.aarch64
    python-test-2.7.16-1.amzn2.0.1.aarch64
    python-debug-2.7.16-1.amzn2.0.1.aarch64
    python-debuginfo-2.7.16-1.amzn2.0.1.aarch64

i686:
    python-2.7.16-1.amzn2.0.1.i686
    python-libs-2.7.16-1.amzn2.0.1.i686
    python-devel-2.7.16-1.amzn2.0.1.i686
    python-tools-2.7.16-1.amzn2.0.1.i686
    tkinter-2.7.16-1.amzn2.0.1.i686
    python-test-2.7.16-1.amzn2.0.1.i686
    python-debug-2.7.16-1.amzn2.0.1.i686
    python-debuginfo-2.7.16-1.amzn2.0.1.i686

src:
    python-2.7.16-1.amzn2.0.1.src

x86_64:
    python-2.7.16-1.amzn2.0.1.x86_64
    python-libs-2.7.16-1.amzn2.0.1.x86_64
    python-devel-2.7.16-1.amzn2.0.1.x86_64
    python-tools-2.7.16-1.amzn2.0.1.x86_64
    tkinter-2.7.16-1.amzn2.0.1.x86_64
    python-test-2.7.16-1.amzn2.0.1.x86_64
    python-debug-2.7.16-1.amzn2.0.1.x86_64
    python-debuginfo-2.7.16-1.amzn2.0.1.x86_64